Subject: Re: network interface cards native vlans support in linux kernel?

From: "Rask Ingemann Lambertsen" <[email-masked]>
Date: Thu, 11 Sep 2003 15:57:36 +0100

On Wed, 9 Jul 2003 11:28:15 -0400, Jeff Garzik wrote
> On Wed, Jul 09, 2003 at 06:19:51PM +0300, Andrius Kasparavicius wrote:
> > hello, as far as i know, currently there is no native vlan support in
> > network device drivers. I mean, always need patching MTU.. add 4 bytes..
[cut]
> A few drivers still need patching, and unfortunately the VLAN driver
> patches floating around all need cleaning up.

What does a network device driver need to do to ensure VLAN compatibility? Is 
it as simple as allocating buffer space for MTU + 4 bytes or is there more to 
it than that?

-- 
Regards,
Rask Ingemann Lambertsen